Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.log
Class Log

    java.lang.Object
      org.mortbay.log.Log

    public class Log

extends java.lang.Object

Logging. This class provides a static logging interface. If an instance of the org.slf4j.Logger class is found on the classpath, the static log methods are directed to a slf4j logger for "org.mortbay.log". Otherwise the logs are directed to stderr. If the system property VERBOSE is set, then ignored exceptions are logged in detail.

Field Summary
`static boolean` | `__ignored`
`static java.lang.String` | `__logClass`
`static boolean` | `__verbose`
`static java.lang.String` | `EXCEPTION`
`static java.lang.String` | `IGNORED`
`static java.lang.String` | `IGNORED_FMT`
`static java.lang.String` | `NOT_IMPLEMENTED`

Constructor Summary
`Log()`

Method Summary
`static void` | `debug(java.lang.String msg)`
`static void` | `debug(java.lang.String msg, java.lang.Object arg)`
`static void` | `debug(java.lang.String msg, java.lang.Object arg0, java.lang.Object arg1)`
`static void` | `debug(java.lang.Throwable th)`
`static Logger` | `getLog()`
`static Logger` | `getLogger(java.lang.String name)` Obtain a named Logger.
`static void` | `ignore(java.lang.Throwable th)` Ignore an exception unless trace is enabled.
`static void` | `info(java.lang.String msg)`
`static void` | `info(java.lang.String msg, java.lang.Object arg)`
`static void` | `info(java.lang.String msg, java.lang.Object arg0, java.lang.Object arg1)`
`static boolean` | `isDebugEnabled()`
`static void` | `setLog(Logger log)`
`static void` | `warn(java.lang.String msg)`
`static void` | `warn(java.lang.String msg, java.lang.Object arg)`
`static void` | `warn(java.lang.String msg, java.lang.Object arg0, java.lang.Object arg1)`
`static void` | `warn(java.lang.String msg, java.lang.Throwable th)`
`static void` | `warn(java.lang.Throwable th)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXCEPTION

    public static final java.lang.String EXCEPTION

See Also:
  Constant Field Values

### IGNORED

    public static final java.lang.String IGNORED

See Also:
  Constant Field Values

### IGNORED_FMT

    public static final java.lang.String IGNORED_FMT

See Also:
  Constant Field Values

### NOT_IMPLEMENTED

    public static final java.lang.String NOT_IMPLEMENTED

See Also:
  Constant Field Values

### __logClass

    public static java.lang.String __logClass

### __verbose

    public static boolean __verbose

### __ignored

    public static boolean __ignored

Constructor Detail

### Log

    public Log()

Method Detail

### setLog

    public static void setLog(Logger log)

### getLog

    public static Logger getLog()

### debug

    public static void debug(java.lang.Throwable th)

### debug

    public static void debug(java.lang.String msg)

### debug

    public static void debug(java.lang.String msg,
                             java.lang.Object arg)

### debug

    public static void debug(java.lang.String msg,
                             java.lang.Object arg0,
                             java.lang.Object arg1)

### ignore

    public static void ignore(java.lang.Throwable th)

  Ignore an exception unless trace is enabled. This works around the problem that log4j does not support the trace level.

### info

    public static void info(java.lang.String msg)

### info

    public static void info(java.lang.String msg,
                            java.lang.Object arg)

### info

    public static void info(java.lang.String msg,
                            java.lang.Object arg0,
                            java.lang.Object arg1)

### isDebugEnabled

    public static boolean isDebugEnabled()

### warn

    public static void warn(java.lang.String msg)

### warn

    public static void warn(java.lang.String msg,
                            java.lang.Object arg)

### warn

    public static void warn(java.lang.String msg,
                            java.lang.Object arg0,
                            java.lang.Object arg1)

### warn

    public static void warn(java.lang.String msg,
                            java.lang.Throwable th)

### warn

    public static void warn(java.lang.Throwable th)

### getLogger

    public static Logger getLogger(java.lang.String name)

  Obtain a named Logger. Obtain a named Logger or the default Logger if null is passed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.